com::lomiri::location::service::Credentials Struct Reference

Credentials of a remote session. More...

`#include <permission_manager.h>`

Collaboration diagram for com::lomiri::location::service::Credentials:

## Public Attributes

pid_t | pid
| The process id of the remote peer.
uid_t | uid
| The user id the remote peer runs under.
std::string | profile
| The AppArmor profile of the remote peer.

## Detailed Description

Credentials of a remote session.

Definition at line 36 of file permission_manager.h.

## Member Data Documentation

## pid

pid_t com::lomiri::location::service::Credentials::pid

The process id of the remote peer.

Definition at line 39 of file permission_manager.h.

## profile

std::string com::lomiri::location::service::Credentials::profile

The AppArmor profile of the remote peer.

Definition at line 43 of file permission_manager.h.

## uid

uid_t com::lomiri::location::service::Credentials::uid

The user id the remote peer runs under.

Definition at line 41 of file permission_manager.h.

The documentation for this struct was generated from the following file:

- permission_manager.h